import sqlite3
import time


#张翔B
part1 ={'张翔B':'机械师',
        '陈尚':'放行',
        '石常林':'放行',
        '谭文强':'放行',
        '张祖文':'工作者',
        '林世鹏':'工作者',
        '徐培昊':'工作者',
        '张杨第':'工作者',
        '肖兴虎':'工作者',
        '李南':'工作者',
        '王瑁':'工作者',
        '郭子豪':'工作者',
        '宋朱陶':'工作者',
        '李洪洋':'工作者',
        '胡陈文焕':'工作者',
        '张潇爽':'放行',
        '那超':'工作者'}
#任轩宇
part2 ={'任炫宇':'机械师',
        '周凯':'放行',
        '雷一鸣':'放行',
        '符颖奇':'放行',
        '谢明杰':'工作者',
        '谢友为':'工作者',
        '叶林青':'工作者',
        '陈浠平':'工作者',
        '王文智':'工作者',
        '杨宜欣':'工作者',
        '权志勤':'工作者',
        '陈思嘉B':'工作者',
        '陶彦桥':'工作者',
        '吴昕阳':'工作者',
        '李俊峰':'放行',
        '李成斌':'工作者',
        '张礼雍':'工作者'}
#于冬雪
part3 ={'于冬雪':'机械师',
        '黄立博':'放行',
        '孙伟C':'放行',
        '任悍':'放行',
        '张良':'放行',   #张良A
        '孙胜涛':'放行',
        '金星宇':'工作者',
        '滕昭科':'工作者',
        '陶柏旭':'工作者',
        '谢德成':'工作者',
        '雷扬':'工作者',
        '杨国晟':'工作者',
        '王勇I':'工作者',
        '王思捷':'工作者',
        '汤其秋':'工作者',
        '张路平':'工作者',
        }

def createDatabase(t):
    conn = sqlite3.connect('./static/database/wk.db')
    c = conn.cursor()
    try:
            c.execute("""
                        create table "'{}'"(
                        ID INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
                        姓名 text UNIQUE not null ,
                        类型 text not null ,
                        小组 text ,
                        架次 text ,
                        详细 text 
                        )""".format(t))
    except sqlite3.OperationalError as E:
            print(E)
    conn.close()

def initDatabase(t):
    conn = sqlite3.connect('./static/database/wk.db')
    c = conn.cursor()
    for key in part1:
        try:
            c.execute("""
                            insert into "'{}'" (姓名, 类型, 小组) values ("'{}'","'{}'","'{}'")
                            """.format(t, key, part1[key], "一小组"))
        except sqlite3.IntegrityError as E:
            print("{}:{}".format(E,key))

    for key in part2:
        try:
            c.execute("""
                            insert into "'{}'" (姓名, 类型, 小组) values ("'{}'","'{}'","'{}'")
                            """.format(t, key, part2[key], "二小组"))
        except sqlite3.IntegrityError as E:
            print("{}:{}".format(E,key))
    for key in part3:
        try:
            c.execute("""
                            insert into "'{}'" (姓名, 类型, 小组) values ("'{}'","'{}'","'{}'")
                            """.format(t, key, part3[key], "三小组"))
        except sqlite3.IntegrityError as E:
            print("{}:{}".format(E,key))
    conn.commit()
    conn.close()



def getTime():
    timeList = list(time.localtime(time.time()))
    print(timeList)
    return "{}年{}月{}日".format(timeList[0], timeList[1], timeList[2])


if __name__ == '__main__':
    createDatabase("2022年7月15日")
    initDatabase("2022年7月15日")